-- Copyright (C) 1991-2015 Altera Corporation. All rights reserved.
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, the Altera Quartus Prime License Agreement,
-- the Altera MegaCore Function License Agreement, or other 
-- applicable license agreement, including, without limitation, 
-- that your use is for the sole purpose of programming logic 
-- devices manufactured by Altera and sold by Altera or its 
-- authorized distributors.  Please refer to the applicable 
-- agreement for further details.

-- VENDOR "Altera"
-- PROGRAM "Quartus Prime"
-- VERSION "Version 15.1.0 Build 185 10/21/2015 SJ Lite Edition"

-- DATE "03/11/2016 00:13:45"

-- 
-- Device: Altera 10M08DAF256C8GES Package FBGA256
-- 

-- 
-- This VHDL file should be used for ModelSim-Altera (VHDL) only
-- 

LIBRARY ALTERA;
LIBRARY FIFTYFIVENM;
LIBRARY IEEE;
USE ALTERA.ALTERA_PRIMITIVES_COMPONENTS.ALL;
USE FIFTYFIVENM.FIFTYFIVENM_COMPONENTS.ALL;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY 	MAXimator_VGA_test IS
    PORT (
	HSYNC : OUT std_logic;
	RESET : IN std_logic;
	CLK_10MHz : IN std_logic;
	VSYNC : OUT std_logic;
	R : OUT std_logic;
	G : OUT std_logic;
	B : OUT std_logic
	);
END MAXimator_VGA_test;

-- Design Ports Information
-- HSYNC	=>  Location: PIN_L1,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- VSYNC	=>  Location: PIN_J1,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- R	=>  Location: PIN_R1,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- G	=>  Location: PIN_N1,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- B	=>  Location: PIN_M1,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 8mA
-- RESET	=>  Location: PIN_R15,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- CLK_10MHz	=>  Location: PIN_L3,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default


ARCHITECTURE structure OF MAXimator_VGA_test IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL unknown : std_logic := 'X';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL ww_HSYNC : std_logic;
SIGNAL ww_RESET : std_logic;
SIGNAL ww_CLK_10MHz : std_logic;
SIGNAL ww_VSYNC : std_logic;
SIGNAL ww_R : std_logic;
SIGNAL ww_G : std_logic;
SIGNAL ww_B : std_logic;
SIGNAL \inst1|altpll_component|auto_generated|pll1_INCLK_bus\ : std_logic_vector(1 DOWNTO 0);
SIGNAL \inst1|altpll_component|auto_generated|pll1_CLK_bus\ : std_logic_vector(4 DOWNTO 0);
SIGNAL \~QUARTUS_CREATED_ADC1~_CHSEL_bus\ : std_logic_vector(4 DOWNTO 0);
SIGNAL \inst|hsync~reg0clkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \~QUARTUS_CREATED_GND~I_combout\ : std_logic;
SIGNAL \~QUARTUS_CREATED_UNVM~~busy\ : std_logic;
SIGNAL \~ALTERA_TMS~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_TCK~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_TDI~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_CONFIG_SEL~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_nCONFIG~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_nSTATUS~~ibuf_o\ : std_logic;
SIGNAL \~ALTERA_CONF_DONE~~ibuf_o\ : std_logic;
SIGNAL \~QUARTUS_CREATED_ADC1~~eoc\ : std_logic;
SIGNAL \CLK_10MHz~input_o\ : std_logic;
SIGNAL \inst1|altpll_component|auto_generated|wire_pll1_fbout\ : std_logic;
SIGNAL \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\ : std_logic;
SIGNAL \inst|hcnt[0]~11_combout\ : std_logic;
SIGNAL \RESET~input_o\ : std_logic;
SIGNAL \inst|blank~0_combout\ : std_logic;
SIGNAL \inst|LessThan0~0_combout\ : std_logic;
SIGNAL \inst|hcnt[0]~12\ : std_logic;
SIGNAL \inst|hcnt[1]~13_combout\ : std_logic;
SIGNAL \inst|hcnt[1]~14\ : std_logic;
SIGNAL \inst|hcnt[2]~15_combout\ : std_logic;
SIGNAL \inst|hcnt[2]~16\ : std_logic;
SIGNAL \inst|hcnt[3]~17_combout\ : std_logic;
SIGNAL \inst|hcnt[3]~18\ : std_logic;
SIGNAL \inst|hcnt[4]~19_combout\ : std_logic;
SIGNAL \inst|hcnt[4]~20\ : std_logic;
SIGNAL \inst|hcnt[5]~21_combout\ : std_logic;
SIGNAL \inst|hcnt[5]~22\ : std_logic;
SIGNAL \inst|hcnt[6]~23_combout\ : std_logic;
SIGNAL \inst|hcnt[6]~24\ : std_logic;
SIGNAL \inst|hcnt[7]~25_combout\ : std_logic;
SIGNAL \inst|hcnt[7]~26\ : std_logic;
SIGNAL \inst|hcnt[8]~27_combout\ : std_logic;
SIGNAL \inst|hcnt[8]~28\ : std_logic;
SIGNAL \inst|hcnt[9]~29_combout\ : std_logic;
SIGNAL \inst|hcnt[9]~30\ : std_logic;
SIGNAL \inst|hcnt[10]~31_combout\ : std_logic;
SIGNAL \inst|u3~1_combout\ : std_logic;
SIGNAL \inst|u3~0_combout\ : std_logic;
SIGNAL \inst|u3~2_combout\ : std_logic;
SIGNAL \inst|hsync~reg0feeder_combout\ : std_logic;
SIGNAL \inst|hsync~reg0_q\ : std_logic;
SIGNAL \inst|hsync~reg0clkctrl_outclk\ : std_logic;
SIGNAL \inst|vcnt[0]~10_combout\ : std_logic;
SIGNAL \inst|vcnt[5]~21\ : std_logic;
SIGNAL \inst|vcnt[6]~22_combout\ : std_logic;
SIGNAL \inst|vcnt[6]~23\ : std_logic;
SIGNAL \inst|vcnt[7]~24_combout\ : std_logic;
SIGNAL \inst|vcnt[7]~25\ : std_logic;
SIGNAL \inst|vcnt[8]~26_combout\ : std_logic;
SIGNAL \inst|vcnt[8]~27\ : std_logic;
SIGNAL \inst|vcnt[9]~28_combout\ : std_logic;
SIGNAL \inst|LessThan1~1_combout\ : std_logic;
SIGNAL \inst|LessThan1~0_combout\ : std_logic;
SIGNAL \inst|LessThan1~2_combout\ : std_logic;
SIGNAL \inst|LessThan1~3_combout\ : std_logic;
SIGNAL \inst|vcnt[0]~11\ : std_logic;
SIGNAL \inst|vcnt[1]~12_combout\ : std_logic;
SIGNAL \inst|vcnt[1]~13\ : std_logic;
SIGNAL \inst|vcnt[2]~14_combout\ : std_logic;
SIGNAL \inst|vcnt[2]~15\ : std_logic;
SIGNAL \inst|vcnt[3]~16_combout\ : std_logic;
SIGNAL \inst|vcnt[3]~17\ : std_logic;
SIGNAL \inst|vcnt[4]~18_combout\ : std_logic;
SIGNAL \inst|vcnt[4]~19\ : std_logic;
SIGNAL \inst|vcnt[5]~20_combout\ : std_logic;
SIGNAL \inst|Equal0~0_combout\ : std_logic;
SIGNAL \inst|blank~1_combout\ : std_logic;
SIGNAL \inst|u4~0_combout\ : std_logic;
SIGNAL \inst|vsync~reg0_q\ : std_logic;
SIGNAL \inst|Equal1~0_combout\ : std_logic;
SIGNAL \inst|u7~0_combout\ : std_logic;
SIGNAL \inst|u7~1_combout\ : std_logic;
SIGNAL \inst|pixrg~0_combout\ : std_logic;
SIGNAL \inst|blank~2_combout\ : std_logic;
SIGNAL \inst|blank~3_combout\ : std_logic;
SIGNAL \inst|blank~4_combout\ : std_logic;
SIGNAL \inst|pblank~q\ : std_logic;
SIGNAL \inst|pixrg~2_combout\ : std_logic;
SIGNAL \inst|pixrg~1_combout\ : std_logic;
SIGNAL \inst|rgb~0_combout\ : std_logic;
SIGNAL \inst|rgb~1_combout\ : std_logic;
SIGNAL \inst|rgb~2_combout\ : std_logic;
SIGNAL \inst|hcnt\ : std_logic_vector(10 DOWNTO 0);
SIGNAL \inst|vcnt\ : std_logic_vector(9 DOWNTO 0);
SIGNAL \inst1|altpll_component|auto_generated|wire_pll1_clk\ : std_logic_vector(4 DOWNTO 0);
SIGNAL \inst|rgb\ : std_logic_vector(2 DOWNTO 0);
SIGNAL \inst|pixrg\ : std_logic_vector(2 DOWNTO 0);

BEGIN

HSYNC <= ww_HSYNC;
ww_RESET <= RESET;
ww_CLK_10MHz <= CLK_10MHz;
VSYNC <= ww_VSYNC;
R <= ww_R;
G <= ww_G;
B <= ww_B;
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;

\inst1|altpll_component|auto_generated|pll1_INCLK_bus\ <= (gnd & \CLK_10MHz~input_o\);

\inst1|altpll_component|auto_generated|wire_pll1_clk\(0) <= \inst1|altpll_component|auto_generated|pll1_CLK_bus\(0);
\inst1|altpll_component|auto_generated|wire_pll1_clk\(1) <= \inst1|altpll_component|auto_generated|pll1_CLK_bus\(1);
\inst1|altpll_component|auto_generated|wire_pll1_clk\(2) <= \inst1|altpll_component|auto_generated|pll1_CLK_bus\(2);
\inst1|altpll_component|auto_generated|wire_pll1_clk\(3) <= \inst1|altpll_component|auto_generated|pll1_CLK_bus\(3);
\inst1|altpll_component|auto_generated|wire_pll1_clk\(4) <= \inst1|altpll_component|auto_generated|pll1_CLK_bus\(4);

\~QUARTUS_CREATED_ADC1~_CHSEL_bus\ <= (\~QUARTUS_CREATED_GND~I_combout\ & \~QUARTUS_CREATED_GND~I_combout\ & \~QUARTUS_CREATED_GND~I_combout\ & \~QUARTUS_CREATED_GND~I_combout\ & \~QUARTUS_CREATED_GND~I_combout\);

\inst|hsync~reg0clkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \inst|hsync~reg0_q\);

\inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \inst1|altpll_component|auto_generated|wire_pll1_clk\(0));

-- Location: LCCOMB_X11_Y16_N24
\~QUARTUS_CREATED_GND~I\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \~QUARTUS_CREATED_GND~I_combout\ = GND

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \~QUARTUS_CREATED_GND~I_combout\);

-- Location: IOOBUF_X0_Y7_N2
\HSYNC~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \inst|hsync~reg0_q\,
	devoe => ww_devoe,
	o => ww_HSYNC);

-- Location: IOOBUF_X10_Y17_N2
\VSYNC~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \inst|vsync~reg0_q\,
	devoe => ww_devoe,
	o => ww_VSYNC);

-- Location: IOOBUF_X3_Y0_N23
\R~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \inst|rgb\(2),
	devoe => ww_devoe,
	o => ww_R);

-- Location: IOOBUF_X0_Y5_N9
\G~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \inst|rgb\(1),
	devoe => ww_devoe,
	o => ww_G);

-- Location: IOOBUF_X0_Y5_N2
\B~output\ : fiftyfivenm_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \inst|rgb\(0),
	devoe => ww_devoe,
	o => ww_B);

-- Location: IOIBUF_X0_Y7_N22
\CLK_10MHz~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_CLK_10MHz,
	o => \CLK_10MHz~input_o\);

-- Location: PLL_1
\inst1|altpll_component|auto_generated|pll1\ : fiftyfivenm_pll
-- pragma translate_off
GENERIC MAP (
	auto_settings => "false",
	bandwidth_type => "medium",
	c0_high => 5,
	c0_initial => 1,
	c0_low => 5,
	c0_mode => "even",
	c0_ph => 0,
	c1_high => 0,
	c1_initial => 0,
	c1_low => 0,
	c1_mode => "bypass",
	c1_ph => 0,
	c1_use_casc_in => "off",
	c2_high => 0,
	c2_initial => 0,
	c2_low => 0,
	c2_mode => "bypass",
	c2_ph => 0,
	c2_use_casc_in => "off",
	c3_high => 0,
	c3_initial => 0,
	c3_low => 0,
	c3_mode => "bypass",
	c3_ph => 0,
	c3_use_casc_in => "off",
	c4_high => 0,
	c4_initial => 0,
	c4_low => 0,
	c4_mode => "bypass",
	c4_ph => 0,
	c4_use_casc_in => "off",
	charge_pump_current_bits => 1,
	clk0_counter => "c0",
	clk0_divide_by => 1,
	clk0_duty_cycle => 50,
	clk0_multiply_by => 4,
	clk0_phase_shift => "0",
	clk1_counter => "unused",
	clk1_divide_by => 0,
	clk1_duty_cycle => 50,
	clk1_multiply_by => 0,
	clk1_phase_shift => "0",
	clk2_counter => "unused",
	clk2_divide_by => 0,
	clk2_duty_cycle => 50,
	clk2_multiply_by => 0,
	clk2_phase_shift => "0",
	clk3_counter => "unused",
	clk3_divide_by => 0,
	clk3_duty_cycle => 50,
	clk3_multiply_by => 0,
	clk3_phase_shift => "0",
	clk4_counter => "unused",
	clk4_divide_by => 0,
	clk4_duty_cycle => 50,
	clk4_multiply_by => 0,
	clk4_phase_shift => "0",
	compensate_clock => "clock0",
	inclk0_input_frequency => 100000,
	inclk1_input_frequency => 0,
	loop_filter_c_bits => 0,
	loop_filter_r_bits => 20,
	m => 40,
	m_initial => 1,
	m_ph => 0,
	n => 1,
	operation_mode => "normal",
	pfd_max => 200000,
	pfd_min => 3076,
	self_reset_on_loss_lock => "off",
	simulation_type => "functional",
	switch_over_type => "auto",
	vco_center => 1538,
	vco_divide_by => 0,
	vco_frequency_control => "auto",
	vco_max => 3333,
	vco_min => 1538,
	vco_multiply_by => 0,
	vco_phase_shift_step => 312,
	vco_post_scale => 2)
-- pragma translate_on
PORT MAP (
	fbin => \inst1|altpll_component|auto_generated|wire_pll1_fbout\,
	inclk => \inst1|altpll_component|auto_generated|pll1_INCLK_bus\,
	fbout => \inst1|altpll_component|auto_generated|wire_pll1_fbout\,
	clk => \inst1|altpll_component|auto_generated|pll1_CLK_bus\);

-- Location: CLKCTRL_G3
\inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl\ : fiftyfivenm_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\);

-- Location: LCCOMB_X18_Y8_N4
\inst|hcnt[0]~11\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|hcnt[0]~11_combout\ = \inst|hcnt\(0) $ (VCC)
-- \inst|hcnt[0]~12\ = CARRY(\inst|hcnt\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst|hcnt\(0),
	datad => VCC,
	combout => \inst|hcnt[0]~11_combout\,
	cout => \inst|hcnt[0]~12\);

-- Location: IOIBUF_X31_Y4_N8
\RESET~input\ : fiftyfivenm_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	listen_to_nsleep_signal => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_RESET,
	o => \RESET~input_o\);

-- Location: LCCOMB_X18_Y8_N2
\inst|blank~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|blank~0_combout\ = (\inst|hcnt\(9) & \inst|hcnt\(8))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \inst|hcnt\(9),
	datad => \inst|hcnt\(8),
	combout => \inst|blank~0_combout\);

-- Location: LCCOMB_X18_Y8_N28
\inst|LessThan0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|LessThan0~0_combout\ = (\inst|hcnt\(10)) # ((\inst|hcnt\(7) & (\inst|blank~0_combout\ & \inst|hcnt\(6))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|hcnt\(7),
	datab => \inst|hcnt\(10),
	datac => \inst|blank~0_combout\,
	datad => \inst|hcnt\(6),
	combout => \inst|LessThan0~0_combout\);

-- Location: FF_X18_Y8_N5
\inst|hcnt[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst|hcnt[0]~11_combout\,
	clrn => \RESET~input_o\,
	sclr => \inst|LessThan0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|hcnt\(0));

-- Location: LCCOMB_X18_Y8_N6
\inst|hcnt[1]~13\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|hcnt[1]~13_combout\ = (\inst|hcnt\(1) & (!\inst|hcnt[0]~12\)) # (!\inst|hcnt\(1) & ((\inst|hcnt[0]~12\) # (GND)))
-- \inst|hcnt[1]~14\ = CARRY((!\inst|hcnt[0]~12\) # (!\inst|hcnt\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst|hcnt\(1),
	datad => VCC,
	cin => \inst|hcnt[0]~12\,
	combout => \inst|hcnt[1]~13_combout\,
	cout => \inst|hcnt[1]~14\);

-- Location: FF_X18_Y8_N7
\inst|hcnt[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst|hcnt[1]~13_combout\,
	clrn => \RESET~input_o\,
	sclr => \inst|LessThan0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|hcnt\(1));

-- Location: LCCOMB_X18_Y8_N8
\inst|hcnt[2]~15\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|hcnt[2]~15_combout\ = (\inst|hcnt\(2) & (\inst|hcnt[1]~14\ $ (GND))) # (!\inst|hcnt\(2) & (!\inst|hcnt[1]~14\ & VCC))
-- \inst|hcnt[2]~16\ = CARRY((\inst|hcnt\(2) & !\inst|hcnt[1]~14\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|hcnt\(2),
	datad => VCC,
	cin => \inst|hcnt[1]~14\,
	combout => \inst|hcnt[2]~15_combout\,
	cout => \inst|hcnt[2]~16\);

-- Location: FF_X18_Y8_N9
\inst|hcnt[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst|hcnt[2]~15_combout\,
	clrn => \RESET~input_o\,
	sclr => \inst|LessThan0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|hcnt\(2));

-- Location: LCCOMB_X18_Y8_N10
\inst|hcnt[3]~17\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|hcnt[3]~17_combout\ = (\inst|hcnt\(3) & (!\inst|hcnt[2]~16\)) # (!\inst|hcnt\(3) & ((\inst|hcnt[2]~16\) # (GND)))
-- \inst|hcnt[3]~18\ = CARRY((!\inst|hcnt[2]~16\) # (!\inst|hcnt\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst|hcnt\(3),
	datad => VCC,
	cin => \inst|hcnt[2]~16\,
	combout => \inst|hcnt[3]~17_combout\,
	cout => \inst|hcnt[3]~18\);

-- Location: FF_X18_Y8_N11
\inst|hcnt[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst|hcnt[3]~17_combout\,
	clrn => \RESET~input_o\,
	sclr => \inst|LessThan0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|hcnt\(3));

-- Location: LCCOMB_X18_Y8_N12
\inst|hcnt[4]~19\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|hcnt[4]~19_combout\ = (\inst|hcnt\(4) & (\inst|hcnt[3]~18\ $ (GND))) # (!\inst|hcnt\(4) & (!\inst|hcnt[3]~18\ & VCC))
-- \inst|hcnt[4]~20\ = CARRY((\inst|hcnt\(4) & !\inst|hcnt[3]~18\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst|hcnt\(4),
	datad => VCC,
	cin => \inst|hcnt[3]~18\,
	combout => \inst|hcnt[4]~19_combout\,
	cout => \inst|hcnt[4]~20\);

-- Location: FF_X18_Y8_N13
\inst|hcnt[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst|hcnt[4]~19_combout\,
	clrn => \RESET~input_o\,
	sclr => \inst|LessThan0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|hcnt\(4));

-- Location: LCCOMB_X18_Y8_N14
\inst|hcnt[5]~21\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|hcnt[5]~21_combout\ = (\inst|hcnt\(5) & (!\inst|hcnt[4]~20\)) # (!\inst|hcnt\(5) & ((\inst|hcnt[4]~20\) # (GND)))
-- \inst|hcnt[5]~22\ = CARRY((!\inst|hcnt[4]~20\) # (!\inst|hcnt\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|hcnt\(5),
	datad => VCC,
	cin => \inst|hcnt[4]~20\,
	combout => \inst|hcnt[5]~21_combout\,
	cout => \inst|hcnt[5]~22\);

-- Location: FF_X18_Y8_N15
\inst|hcnt[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst|hcnt[5]~21_combout\,
	clrn => \RESET~input_o\,
	sclr => \inst|LessThan0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|hcnt\(5));

-- Location: LCCOMB_X18_Y8_N16
\inst|hcnt[6]~23\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|hcnt[6]~23_combout\ = (\inst|hcnt\(6) & (\inst|hcnt[5]~22\ $ (GND))) # (!\inst|hcnt\(6) & (!\inst|hcnt[5]~22\ & VCC))
-- \inst|hcnt[6]~24\ = CARRY((\inst|hcnt\(6) & !\inst|hcnt[5]~22\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|hcnt\(6),
	datad => VCC,
	cin => \inst|hcnt[5]~22\,
	combout => \inst|hcnt[6]~23_combout\,
	cout => \inst|hcnt[6]~24\);

-- Location: FF_X18_Y8_N17
\inst|hcnt[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst|hcnt[6]~23_combout\,
	clrn => \RESET~input_o\,
	sclr => \inst|LessThan0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|hcnt\(6));

-- Location: LCCOMB_X18_Y8_N18
\inst|hcnt[7]~25\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|hcnt[7]~25_combout\ = (\inst|hcnt\(7) & (!\inst|hcnt[6]~24\)) # (!\inst|hcnt\(7) & ((\inst|hcnt[6]~24\) # (GND)))
-- \inst|hcnt[7]~26\ = CARRY((!\inst|hcnt[6]~24\) # (!\inst|hcnt\(7)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|hcnt\(7),
	datad => VCC,
	cin => \inst|hcnt[6]~24\,
	combout => \inst|hcnt[7]~25_combout\,
	cout => \inst|hcnt[7]~26\);

-- Location: FF_X18_Y8_N19
\inst|hcnt[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst|hcnt[7]~25_combout\,
	clrn => \RESET~input_o\,
	sclr => \inst|LessThan0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|hcnt\(7));

-- Location: LCCOMB_X18_Y8_N20
\inst|hcnt[8]~27\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|hcnt[8]~27_combout\ = (\inst|hcnt\(8) & (\inst|hcnt[7]~26\ $ (GND))) # (!\inst|hcnt\(8) & (!\inst|hcnt[7]~26\ & VCC))
-- \inst|hcnt[8]~28\ = CARRY((\inst|hcnt\(8) & !\inst|hcnt[7]~26\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|hcnt\(8),
	datad => VCC,
	cin => \inst|hcnt[7]~26\,
	combout => \inst|hcnt[8]~27_combout\,
	cout => \inst|hcnt[8]~28\);

-- Location: FF_X18_Y8_N21
\inst|hcnt[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst|hcnt[8]~27_combout\,
	clrn => \RESET~input_o\,
	sclr => \inst|LessThan0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|hcnt\(8));

-- Location: LCCOMB_X18_Y8_N22
\inst|hcnt[9]~29\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|hcnt[9]~29_combout\ = (\inst|hcnt\(9) & (!\inst|hcnt[8]~28\)) # (!\inst|hcnt\(9) & ((\inst|hcnt[8]~28\) # (GND)))
-- \inst|hcnt[9]~30\ = CARRY((!\inst|hcnt[8]~28\) # (!\inst|hcnt\(9)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst|hcnt\(9),
	datad => VCC,
	cin => \inst|hcnt[8]~28\,
	combout => \inst|hcnt[9]~29_combout\,
	cout => \inst|hcnt[9]~30\);

-- Location: FF_X18_Y8_N23
\inst|hcnt[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst|hcnt[9]~29_combout\,
	clrn => \RESET~input_o\,
	sclr => \inst|LessThan0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|hcnt\(9));

-- Location: LCCOMB_X18_Y8_N24
\inst|hcnt[10]~31\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|hcnt[10]~31_combout\ = \inst|hcnt[9]~30\ $ (!\inst|hcnt\(10))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \inst|hcnt\(10),
	cin => \inst|hcnt[9]~30\,
	combout => \inst|hcnt[10]~31_combout\);

-- Location: FF_X18_Y8_N25
\inst|hcnt[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst|hcnt[10]~31_combout\,
	clrn => \RESET~input_o\,
	sclr => \inst|LessThan0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|hcnt\(10));

-- Location: LCCOMB_X18_Y8_N30
\inst|u3~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|u3~1_combout\ = (\inst|hcnt\(7)) # ((\inst|hcnt\(4) & (\inst|hcnt\(6) & \inst|hcnt\(5))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|hcnt\(4),
	datab => \inst|hcnt\(6),
	datac => \inst|hcnt\(5),
	datad => \inst|hcnt\(7),
	combout => \inst|u3~1_combout\);

-- Location: LCCOMB_X18_Y8_N0
\inst|u3~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|u3~0_combout\ = (!\inst|hcnt\(5) & !\inst|hcnt\(6))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \inst|hcnt\(5),
	datad => \inst|hcnt\(6),
	combout => \inst|u3~0_combout\);

-- Location: LCCOMB_X12_Y9_N8
\inst|u3~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|u3~2_combout\ = (!\inst|hcnt\(10) & (\inst|blank~0_combout\ & (!\inst|u3~1_combout\ & !\inst|u3~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|hcnt\(10),
	datab => \inst|blank~0_combout\,
	datac => \inst|u3~1_combout\,
	datad => \inst|u3~0_combout\,
	combout => \inst|u3~2_combout\);

-- Location: LCCOMB_X1_Y9_N28
\inst|hsync~reg0feeder\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|hsync~reg0feeder_combout\ = \inst|u3~2_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \inst|u3~2_combout\,
	combout => \inst|hsync~reg0feeder_combout\);

-- Location: FF_X1_Y9_N29
\inst|hsync~reg0\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst|hsync~reg0feeder_combout\,
	clrn => \RESET~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|hsync~reg0_q\);

-- Location: CLKCTRL_G2
\inst|hsync~reg0clkctrl\ : fiftyfivenm_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \inst|hsync~reg0clkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \inst|hsync~reg0clkctrl_outclk\);

-- Location: LCCOMB_X13_Y9_N0
\inst|vcnt[0]~10\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|vcnt[0]~10_combout\ = \inst|vcnt\(0) $ (VCC)
-- \inst|vcnt[0]~11\ = CARRY(\inst|vcnt\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst|vcnt\(0),
	datad => VCC,
	combout => \inst|vcnt[0]~10_combout\,
	cout => \inst|vcnt[0]~11\);

-- Location: LCCOMB_X13_Y9_N10
\inst|vcnt[5]~20\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|vcnt[5]~20_combout\ = (\inst|vcnt\(5) & (!\inst|vcnt[4]~19\)) # (!\inst|vcnt\(5) & ((\inst|vcnt[4]~19\) # (GND)))
-- \inst|vcnt[5]~21\ = CARRY((!\inst|vcnt[4]~19\) # (!\inst|vcnt\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst|vcnt\(5),
	datad => VCC,
	cin => \inst|vcnt[4]~19\,
	combout => \inst|vcnt[5]~20_combout\,
	cout => \inst|vcnt[5]~21\);

-- Location: LCCOMB_X13_Y9_N12
\inst|vcnt[6]~22\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|vcnt[6]~22_combout\ = (\inst|vcnt\(6) & (\inst|vcnt[5]~21\ $ (GND))) # (!\inst|vcnt\(6) & (!\inst|vcnt[5]~21\ & VCC))
-- \inst|vcnt[6]~23\ = CARRY((\inst|vcnt\(6) & !\inst|vcnt[5]~21\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst|vcnt\(6),
	datad => VCC,
	cin => \inst|vcnt[5]~21\,
	combout => \inst|vcnt[6]~22_combout\,
	cout => \inst|vcnt[6]~23\);

-- Location: FF_X13_Y9_N13
\inst|vcnt[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst|hsync~reg0clkctrl_outclk\,
	d => \inst|vcnt[6]~22_combout\,
	clrn => \RESET~input_o\,
	sclr => \inst|LessThan1~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|vcnt\(6));

-- Location: LCCOMB_X13_Y9_N14
\inst|vcnt[7]~24\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|vcnt[7]~24_combout\ = (\inst|vcnt\(7) & (!\inst|vcnt[6]~23\)) # (!\inst|vcnt\(7) & ((\inst|vcnt[6]~23\) # (GND)))
-- \inst|vcnt[7]~25\ = CARRY((!\inst|vcnt[6]~23\) # (!\inst|vcnt\(7)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst|vcnt\(7),
	datad => VCC,
	cin => \inst|vcnt[6]~23\,
	combout => \inst|vcnt[7]~24_combout\,
	cout => \inst|vcnt[7]~25\);

-- Location: FF_X13_Y9_N15
\inst|vcnt[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst|hsync~reg0clkctrl_outclk\,
	d => \inst|vcnt[7]~24_combout\,
	clrn => \RESET~input_o\,
	sclr => \inst|LessThan1~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|vcnt\(7));

-- Location: LCCOMB_X13_Y9_N16
\inst|vcnt[8]~26\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|vcnt[8]~26_combout\ = (\inst|vcnt\(8) & (\inst|vcnt[7]~25\ $ (GND))) # (!\inst|vcnt\(8) & (!\inst|vcnt[7]~25\ & VCC))
-- \inst|vcnt[8]~27\ = CARRY((\inst|vcnt\(8) & !\inst|vcnt[7]~25\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|vcnt\(8),
	datad => VCC,
	cin => \inst|vcnt[7]~25\,
	combout => \inst|vcnt[8]~26_combout\,
	cout => \inst|vcnt[8]~27\);

-- Location: FF_X13_Y9_N17
\inst|vcnt[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst|hsync~reg0clkctrl_outclk\,
	d => \inst|vcnt[8]~26_combout\,
	clrn => \RESET~input_o\,
	sclr => \inst|LessThan1~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|vcnt\(8));

-- Location: LCCOMB_X13_Y9_N18
\inst|vcnt[9]~28\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|vcnt[9]~28_combout\ = \inst|vcnt\(9) $ (\inst|vcnt[8]~27\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst|vcnt\(9),
	cin => \inst|vcnt[8]~27\,
	combout => \inst|vcnt[9]~28_combout\);

-- Location: FF_X13_Y9_N19
\inst|vcnt[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst|hsync~reg0clkctrl_outclk\,
	d => \inst|vcnt[9]~28_combout\,
	clrn => \RESET~input_o\,
	sclr => \inst|LessThan1~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|vcnt\(9));

-- Location: LCCOMB_X13_Y9_N28
\inst|LessThan1~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|LessThan1~1_combout\ = (!\inst|vcnt\(5) & (((!\inst|vcnt\(2)) # (!\inst|vcnt\(1))) # (!\inst|vcnt\(0))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001010101010101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|vcnt\(5),
	datab => \inst|vcnt\(0),
	datac => \inst|vcnt\(1),
	datad => \inst|vcnt\(2),
	combout => \inst|LessThan1~1_combout\);

-- Location: LCCOMB_X13_Y9_N26
\inst|LessThan1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|LessThan1~0_combout\ = (!\inst|vcnt\(7) & !\inst|vcnt\(8))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \inst|vcnt\(7),
	datad => \inst|vcnt\(8),
	combout => \inst|LessThan1~0_combout\);

-- Location: LCCOMB_X13_Y9_N30
\inst|LessThan1~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|LessThan1~2_combout\ = (!\inst|vcnt\(6) & (!\inst|vcnt\(4) & (!\inst|vcnt\(3) & !\inst|vcnt\(8))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|vcnt\(6),
	datab => \inst|vcnt\(4),
	datac => \inst|vcnt\(3),
	datad => \inst|vcnt\(8),
	combout => \inst|LessThan1~2_combout\);

-- Location: LCCOMB_X13_Y9_N24
\inst|LessThan1~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|LessThan1~3_combout\ = (\inst|vcnt\(9) & (!\inst|LessThan1~0_combout\ & ((!\inst|LessThan1~2_combout\) # (!\inst|LessThan1~1_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|vcnt\(9),
	datab => \inst|LessThan1~1_combout\,
	datac => \inst|LessThan1~0_combout\,
	datad => \inst|LessThan1~2_combout\,
	combout => \inst|LessThan1~3_combout\);

-- Location: FF_X13_Y9_N1
\inst|vcnt[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst|hsync~reg0clkctrl_outclk\,
	d => \inst|vcnt[0]~10_combout\,
	clrn => \RESET~input_o\,
	sclr => \inst|LessThan1~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|vcnt\(0));

-- Location: LCCOMB_X13_Y9_N2
\inst|vcnt[1]~12\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|vcnt[1]~12_combout\ = (\inst|vcnt\(1) & (!\inst|vcnt[0]~11\)) # (!\inst|vcnt\(1) & ((\inst|vcnt[0]~11\) # (GND)))
-- \inst|vcnt[1]~13\ = CARRY((!\inst|vcnt[0]~11\) # (!\inst|vcnt\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|vcnt\(1),
	datad => VCC,
	cin => \inst|vcnt[0]~11\,
	combout => \inst|vcnt[1]~12_combout\,
	cout => \inst|vcnt[1]~13\);

-- Location: FF_X13_Y9_N3
\inst|vcnt[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst|hsync~reg0clkctrl_outclk\,
	d => \inst|vcnt[1]~12_combout\,
	clrn => \RESET~input_o\,
	sclr => \inst|LessThan1~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|vcnt\(1));

-- Location: LCCOMB_X13_Y9_N4
\inst|vcnt[2]~14\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|vcnt[2]~14_combout\ = (\inst|vcnt\(2) & (\inst|vcnt[1]~13\ $ (GND))) # (!\inst|vcnt\(2) & (!\inst|vcnt[1]~13\ & VCC))
-- \inst|vcnt[2]~15\ = CARRY((\inst|vcnt\(2) & !\inst|vcnt[1]~13\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|vcnt\(2),
	datad => VCC,
	cin => \inst|vcnt[1]~13\,
	combout => \inst|vcnt[2]~14_combout\,
	cout => \inst|vcnt[2]~15\);

-- Location: FF_X13_Y9_N5
\inst|vcnt[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst|hsync~reg0clkctrl_outclk\,
	d => \inst|vcnt[2]~14_combout\,
	clrn => \RESET~input_o\,
	sclr => \inst|LessThan1~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|vcnt\(2));

-- Location: LCCOMB_X13_Y9_N6
\inst|vcnt[3]~16\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|vcnt[3]~16_combout\ = (\inst|vcnt\(3) & (!\inst|vcnt[2]~15\)) # (!\inst|vcnt\(3) & ((\inst|vcnt[2]~15\) # (GND)))
-- \inst|vcnt[3]~17\ = CARRY((!\inst|vcnt[2]~15\) # (!\inst|vcnt\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|vcnt\(3),
	datad => VCC,
	cin => \inst|vcnt[2]~15\,
	combout => \inst|vcnt[3]~16_combout\,
	cout => \inst|vcnt[3]~17\);

-- Location: FF_X13_Y9_N7
\inst|vcnt[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst|hsync~reg0clkctrl_outclk\,
	d => \inst|vcnt[3]~16_combout\,
	clrn => \RESET~input_o\,
	sclr => \inst|LessThan1~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|vcnt\(3));

-- Location: LCCOMB_X13_Y9_N8
\inst|vcnt[4]~18\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|vcnt[4]~18_combout\ = (\inst|vcnt\(4) & (\inst|vcnt[3]~17\ $ (GND))) # (!\inst|vcnt\(4) & (!\inst|vcnt[3]~17\ & VCC))
-- \inst|vcnt[4]~19\ = CARRY((\inst|vcnt\(4) & !\inst|vcnt[3]~17\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|vcnt\(4),
	datad => VCC,
	cin => \inst|vcnt[3]~17\,
	combout => \inst|vcnt[4]~18_combout\,
	cout => \inst|vcnt[4]~19\);

-- Location: FF_X13_Y9_N9
\inst|vcnt[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst|hsync~reg0clkctrl_outclk\,
	d => \inst|vcnt[4]~18_combout\,
	clrn => \RESET~input_o\,
	sclr => \inst|LessThan1~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|vcnt\(4));

-- Location: FF_X13_Y9_N11
\inst|vcnt[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst|hsync~reg0clkctrl_outclk\,
	d => \inst|vcnt[5]~20_combout\,
	clrn => \RESET~input_o\,
	sclr => \inst|LessThan1~3_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|vcnt\(5));

-- Location: LCCOMB_X13_Y9_N20
\inst|Equal0~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|Equal0~0_combout\ = (!\inst|vcnt\(5) & (!\inst|vcnt\(0) & (!\inst|vcnt\(2) & !\inst|vcnt\(1))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|vcnt\(5),
	datab => \inst|vcnt\(0),
	datac => \inst|vcnt\(2),
	datad => \inst|vcnt\(1),
	combout => \inst|Equal0~0_combout\);

-- Location: LCCOMB_X12_Y9_N30
\inst|blank~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|blank~1_combout\ = (\inst|vcnt\(4) & (\inst|vcnt\(6) & \inst|vcnt\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst|vcnt\(4),
	datac => \inst|vcnt\(6),
	datad => \inst|vcnt\(3),
	combout => \inst|blank~1_combout\);

-- Location: LCCOMB_X12_Y9_N24
\inst|u4~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|u4~0_combout\ = (\inst|Equal0~0_combout\ & (\inst|vcnt\(9) & (\inst|blank~1_combout\ & \inst|LessThan1~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|Equal0~0_combout\,
	datab => \inst|vcnt\(9),
	datac => \inst|blank~1_combout\,
	datad => \inst|LessThan1~0_combout\,
	combout => \inst|u4~0_combout\);

-- Location: FF_X12_Y9_N25
\inst|vsync~reg0\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst|hsync~reg0clkctrl_outclk\,
	d => \inst|u4~0_combout\,
	clrn => \RESET~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|vsync~reg0_q\);

-- Location: LCCOMB_X18_Y8_N26
\inst|Equal1~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|Equal1~0_combout\ = (!\inst|hcnt\(4) & (!\inst|hcnt\(0) & (!\inst|hcnt\(5) & !\inst|hcnt\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|hcnt\(4),
	datab => \inst|hcnt\(0),
	datac => \inst|hcnt\(5),
	datad => \inst|hcnt\(3),
	combout => \inst|Equal1~0_combout\);

-- Location: LCCOMB_X13_Y9_N22
\inst|u7~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|u7~0_combout\ = (!\inst|vcnt\(3) & (!\inst|vcnt\(4) & \inst|Equal0~0_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst|vcnt\(3),
	datac => \inst|vcnt\(4),
	datad => \inst|Equal0~0_combout\,
	combout => \inst|u7~0_combout\);

-- Location: LCCOMB_X12_Y9_N12
\inst|u7~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|u7~1_combout\ = (\inst|u7~0_combout\) # ((!\inst|hcnt\(2) & (!\inst|hcnt\(1) & \inst|Equal1~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|hcnt\(2),
	datab => \inst|hcnt\(1),
	datac => \inst|Equal1~0_combout\,
	datad => \inst|u7~0_combout\,
	combout => \inst|u7~1_combout\);

-- Location: LCCOMB_X12_Y9_N26
\inst|pixrg~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|pixrg~0_combout\ = (\inst|vcnt\(6)) # (\inst|u7~1_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \inst|vcnt\(6),
	datad => \inst|u7~1_combout\,
	combout => \inst|pixrg~0_combout\);

-- Location: FF_X12_Y9_N27
\inst|pixrg[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst|pixrg~0_combout\,
	clrn => \RESET~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|pixrg\(1));

-- Location: LCCOMB_X12_Y9_N20
\inst|blank~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|blank~2_combout\ = (\inst|vcnt\(7)) # ((\inst|vcnt\(8)) # ((\inst|vcnt\(5) & \inst|vcnt\(6))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|vcnt\(5),
	datab => \inst|vcnt\(7),
	datac => \inst|vcnt\(6),
	datad => \inst|vcnt\(8),
	combout => \inst|blank~2_combout\);

-- Location: LCCOMB_X12_Y9_N14
\inst|blank~3\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|blank~3_combout\ = (\inst|hcnt\(10)) # ((\inst|vcnt\(9) & ((\inst|blank~1_combout\) # (\inst|blank~2_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111011101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|hcnt\(10),
	datab => \inst|vcnt\(9),
	datac => \inst|blank~1_combout\,
	datad => \inst|blank~2_combout\,
	combout => \inst|blank~3_combout\);

-- Location: LCCOMB_X12_Y9_N16
\inst|blank~4\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|blank~4_combout\ = (\inst|blank~3_combout\) # ((\inst|blank~0_combout\ & ((\inst|hcnt\(7)) # (!\inst|u3~0_combout\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111100011111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|hcnt\(7),
	datab => \inst|blank~0_combout\,
	datac => \inst|blank~3_combout\,
	datad => \inst|u3~0_combout\,
	combout => \inst|blank~4_combout\);

-- Location: FF_X12_Y9_N17
\inst|pblank\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst|blank~4_combout\,
	clrn => \RESET~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|pblank~q\);

-- Location: LCCOMB_X12_Y9_N22
\inst|pixrg~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|pixrg~2_combout\ = (\inst|vcnt\(7)) # (\inst|u7~1_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \inst|vcnt\(7),
	datad => \inst|u7~1_combout\,
	combout => \inst|pixrg~2_combout\);

-- Location: FF_X12_Y9_N23
\inst|pixrg[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst|pixrg~2_combout\,
	clrn => \RESET~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|pixrg\(2));

-- Location: LCCOMB_X12_Y9_N28
\inst|pixrg~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|pixrg~1_combout\ = (\inst|vcnt\(5)) # (\inst|u7~1_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \inst|vcnt\(5),
	datad => \inst|u7~1_combout\,
	combout => \inst|pixrg~1_combout\);

-- Location: FF_X12_Y9_N29
\inst|pixrg[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst|pixrg~1_combout\,
	clrn => \RESET~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|pixrg\(0));

-- Location: LCCOMB_X12_Y9_N6
\inst|rgb~0\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|rgb~0_combout\ = (!\inst|pblank~q\ & (\inst|pixrg\(2) $ (((!\inst|pixrg\(1) & !\inst|pixrg\(0))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000000100001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|pixrg\(1),
	datab => \inst|pblank~q\,
	datac => \inst|pixrg\(2),
	datad => \inst|pixrg\(0),
	combout => \inst|rgb~0_combout\);

-- Location: FF_X12_Y9_N7
\inst|rgb[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst|rgb~0_combout\,
	clrn => \RESET~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|rgb\(2));

-- Location: LCCOMB_X12_Y9_N4
\inst|rgb~1\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|rgb~1_combout\ = (!\inst|pblank~q\ & (\inst|pixrg\(2) $ (((!\inst|pixrg\(1) & \inst|pixrg\(0))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000100110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|pixrg\(1),
	datab => \inst|pblank~q\,
	datac => \inst|pixrg\(2),
	datad => \inst|pixrg\(0),
	combout => \inst|rgb~1_combout\);

-- Location: FF_X12_Y9_N5
\inst|rgb[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst|rgb~1_combout\,
	clrn => \RESET~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|rgb\(1));

-- Location: LCCOMB_X12_Y9_N18
\inst|rgb~2\ : fiftyfivenm_lcell_comb
-- Equation(s):
-- \inst|rgb~2_combout\ = (!\inst|pblank~q\ & (\inst|pixrg\(2) $ (((\inst|pixrg\(1) & !\inst|pixrg\(0))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000000010010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|pixrg\(1),
	datab => \inst|pblank~q\,
	datac => \inst|pixrg\(2),
	datad => \inst|pixrg\(0),
	combout => \inst|rgb~2_combout\);

-- Location: FF_X12_Y9_N19
\inst|rgb[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \inst1|altpll_component|auto_generated|wire_pll1_clk[0]~clkctrl_outclk\,
	d => \inst|rgb~2_combout\,
	clrn => \RESET~input_o\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst|rgb\(0));

-- Location: UNVM_X0_Y11_N40
\~QUARTUS_CREATED_UNVM~\ : fiftyfivenm_unvm
-- pragma translate_off
GENERIC MAP (
	addr_range1_end_addr => -1,
	addr_range1_offset => -1,
	addr_range2_offset => -1,
	is_compressed_image => "false",
	is_dual_boot => "false",
	is_eram_skip => "false",
	max_ufm_valid_addr => -1,
	max_valid_addr => -1,
	min_ufm_valid_addr => -1,
	min_valid_addr => -1,
	part_name => "quartus_created_unvm",
	reserve_block => "true")
-- pragma translate_on
PORT MAP (
	nosc_ena => \~QUARTUS_CREATED_GND~I_combout\,
	xe_ye => \~QUARTUS_CREATED_GND~I_combout\,
	se => \~QUARTUS_CREATED_GND~I_combout\,
	busy => \~QUARTUS_CREATED_UNVM~~busy\);

-- Location: ADCBLOCK_X10_Y24_N0
\~QUARTUS_CREATED_ADC1~\ : fiftyfivenm_adcblock
-- pragma translate_off
GENERIC MAP (
	analog_input_pin_mask => 0,
	clkdiv => 1,
	device_partname_fivechar_prefix => "none",
	is_this_first_or_second_adc => 1,
	prescalar => 0,
	pwd => 1,
	refsel => 0,
	reserve_block => "true",
	testbits => 66,
	tsclkdiv => 1,
	tsclksel => 0)
-- pragma translate_on
PORT MAP (
	soc => \~QUARTUS_CREATED_GND~I_combout\,
	usr_pwd => VCC,
	tsen => \~QUARTUS_CREATED_GND~I_combout\,
	chsel => \~QUARTUS_CREATED_ADC1~_CHSEL_bus\,
	eoc => \~QUARTUS_CREATED_ADC1~~eoc\);
END structure;


